<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cyhal__deprecated_8c" kind="file" language="C++">
    <compoundname>cyhal_deprecated.c</compoundname>
    <includes local="yes" refid="cyhal__adc_8h">cyhal_adc.h</includes>
    <includes local="yes" refid="cyhal__hwmgr_8h">cyhal_hwmgr.h</includes>
    <includes local="yes" refid="cyhal__clock_8h">cyhal_clock.h</includes>
    <includes local="yes" refid="cyhal__deprecated_8h">cyhal_deprecated.h</includes>
      <sectiondef kind="define">
      <memberdef id="cyhal__deprecated_8c_1a94db66bc64096b095511ed7f32a0b35e" kind="define" prot="public" static="no">
        <name>HZ_PER_MHZ</name>
        <initializer>1000000</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_deprecated.c" bodystart="31" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_deprecated.c" line="31" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="cyhal__deprecated_8c_1a909610dadb3e76e534699dc8e1ed6445" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint32_t</type>
        <definition>uint32_t _cyhal_deprecated_get_src_freq</definition>
        <argsstring>(cy_en_clkpath_in_sources_t source)</argsstring>
        <name>_cyhal_deprecated_get_src_freq</name>
        <param>
          <type>cy_en_clkpath_in_sources_t</type>
          <declname>source</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="47" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_deprecated.c" bodystart="33" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_deprecated.c" line="33" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cyhal__deprecated_8c_1a7c555d43c21b1b2f6d540bd3358b1e4c" inline="no" kind="function" prot="public" static="yes" virt="non-virtual">
        <type>uint32_t</type>
        <definition>static uint32_t _cyhal_deprecated_get_clkpath_freq</definition>
        <argsstring>(cy_en_clkhf_in_sources_t path, uint32_t freq, uint8_t *fll_pll_used)</argsstring>
        <name>_cyhal_deprecated_get_clkpath_freq</name>
        <param>
          <type>cy_en_clkhf_in_sources_t</type>
          <declname>path</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>freq</declname>
        </param>
        <param>
          <type>uint8_t *</type>
          <declname>fll_pll_used</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="77" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_deprecated.c" bodystart="49" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_deprecated.c" line="49" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cyhal__deprecated_8c_1aea4340ff53a0e6de099e1d33918f5773" inline="no" kind="function" prot="public" static="yes" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>static cy_rslt_t _cyhal_deprecated_try_set_hf_divider</definition>
        <argsstring>(uint8_t hf_clock, uint32_t input_freq, uint32_t target_freq)</argsstring>
        <name>_cyhal_deprecated_try_set_hf_divider</name>
        <param>
          <type>uint8_t</type>
          <declname>hf_clock</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>input_freq</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>target_freq</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="114" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_deprecated.c" bodystart="79" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_deprecated.c" line="79" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cyhal__deprecated_8c_1a2a06cd6b272c8da4a97e9fe1796b857e" inline="no" kind="function" prot="public" static="yes" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>static cy_rslt_t _cyhal_deprecated_try_set_fll</definition>
        <argsstring>(uint8_t hf_clock, uint32_t target_freq)</argsstring>
        <name>_cyhal_deprecated_try_set_fll</name>
        <param>
          <type>uint8_t</type>
          <declname>hf_clock</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>target_freq</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="133" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_deprecated.c" bodystart="116" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_deprecated.c" line="116" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cyhal__deprecated_8c_1a8c799b940dfe3ef275148045fd510d1c" inline="no" kind="function" prot="public" static="yes" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>static cy_rslt_t _cyhal_deprecated_try_set_pll</definition>
        <argsstring>(uint8_t hf_clock, uint8_t pll, uint32_t target_freq)</argsstring>
        <name>_cyhal_deprecated_try_set_pll</name>
        <param>
          <type>uint8_t</type>
          <declname>hf_clock</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>pll</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>target_freq</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="159" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_deprecated.c" bodystart="135" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_deprecated.c" line="135" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__impl__deprecated_1ga6f078fee06227f94d2f7d64d2cb46e28" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t cyhal_system_clock_get_frequency</definition>
        <argsstring>(uint8_t hf_clock, uint32_t *frequency_hz)</argsstring>
        <name>cyhal_system_clock_get_frequency</name>
        <param>
          <type>uint8_t</type>
          <declname>clock</declname>
          <defname>hf_clock</defname>
        </param>
        <param>
          <type>uint32_t *</type>
          <declname>frequency_hz</declname>
        </param>
        <briefdescription>
<para>Gets the specified clock's current frequency. </para>        </briefdescription>
        <detaileddescription>
<para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition warning"&gt;&lt;p class="admonition-title"&gt;warning&lt;/p&gt;&lt;p&gt;&lt;p&gt;This function is deprecated. Use &lt;a href="group__group__hal__clock.html#group__group__hal__clock_1gab96248124df045a665fe693801f9a358"&gt;cyhal_clock_get_frequency()&lt;/a&gt; instead.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">clock</parametername>
</parameternamelist>
<parameterdescription>
<para>ID of clock to configure </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="out">frequency_hz</parametername>
</parameternamelist>
<parameterdescription>
<para>The frequency the clock is currently running at </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the get_frequency request </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="165" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_deprecated.c" bodystart="161" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_deprecated.c" line="161" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__impl__deprecated_1ga1a9bfe9181304994df9a09f05f6eccff" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t cyhal_system_clock_set_frequency</definition>
        <argsstring>(uint8_t hf_clock, uint32_t frequency_hz)</argsstring>
        <name>cyhal_system_clock_set_frequency</name>
        <param>
          <type>uint8_t</type>
          <declname>clock</declname>
          <defname>hf_clock</defname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>frequency_hz</declname>
        </param>
        <briefdescription>
<para>Sets the specified clock's frequency and enables it. </para>        </briefdescription>
        <detaileddescription>
<para>This will turn on any additional clocks needed to drive this.</para><para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition warning"&gt;&lt;p class="admonition-title"&gt;warning&lt;/p&gt;&lt;p&gt;&lt;p&gt;This function is deprecated. Use &lt;a href="group__group__hal__clock.html#group__group__hal__clock_1ga144e152ee4f10bdba0dcd036e3ef879c"&gt;cyhal_clock_set_frequency()&lt;/a&gt; instead.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">clock</parametername>
</parameternamelist>
<parameterdescription>
<para>ID of clock to configure </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">frequency_hz</parametername>
</parameternamelist>
<parameterdescription>
<para>The frequency to run the clock at </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the set_frequency request </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="229" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_deprecated.c" bodystart="167" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_deprecated.c" line="167" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__impl__deprecated_1gabb6b926453c599ee24d4dc477d937b61" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t cyhal_system_clock_set_divider</definition>
        <argsstring>(cyhal_system_clock_t clock, cyhal_system_divider_t divider)</argsstring>
        <name>cyhal_system_clock_set_divider</name>
        <param>
          <type><ref kindref="member" refid="group__group__hal__impl__deprecated_1ga996e3eaa0953a18334a13c2c47bc2abb">cyhal_system_clock_t</ref></type>
          <declname>clock</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__impl__deprecated_1gae934ba770f2233f792a7de704bf1f59f">cyhal_system_divider_t</ref></type>
          <declname>divider</declname>
        </param>
        <briefdescription>
<para>Divides the clock frequency by the divider. </para>        </briefdescription>
        <detaileddescription>
<para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition warning"&gt;&lt;p class="admonition-title"&gt;warning&lt;/p&gt;&lt;p&gt;&lt;p&gt;This function is deprecated. Use &lt;a href="group__group__hal__clock.html#group__group__hal__clock_1ga6d21d11d37c8812cfafa9bf00e5a1bc7"&gt;cyhal_clock_set_divider()&lt;/a&gt; instead.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">clock</parametername>
</parameternamelist>
<parameterdescription>
<para>The clock to configure divider value for </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">divider</parametername>
</parameternamelist>
<parameterdescription>
<para>The divider value to divide the frequency by </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the set_divider request </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="261" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_deprecated.c" bodystart="231" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_deprecated.c" line="231" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__impl__deprecated_1gaf3e0a8b4574984aa38b76429c2252aae" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t cyhal_system_register_callback</definition>
        <argsstring>(cyhal_system_callback_t *handler)</argsstring>
        <name>cyhal_system_register_callback</name>
        <param>
          <type><ref kindref="member" refid="group__group__hal__impl__hw__types_1gacd10538852e7575732463b1f552b73d4">cyhal_system_callback_t</ref> *</type>
          <declname>callback</declname>
          <defname>handler</defname>
        </param>
        <briefdescription>
<para>Register the specified handler with the power manager to be notified of power state changes. </para>        </briefdescription>
        <detaileddescription>
<para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition warning"&gt;&lt;p class="admonition-title"&gt;warning&lt;/p&gt;&lt;p&gt;&lt;p&gt;This function is deprecated. Use &lt;a href="group__group__hal__syspm.html#group__group__hal__syspm_1ga5d1637ece9b27528636981acfc893fd3"&gt;cyhal_syspm_register_callback()&lt;/a&gt; instead.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">callback</parametername>
</parameternamelist>
<parameterdescription>
<para>The callback configuration data </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the register_callback request </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="268" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_deprecated.c" bodystart="263" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_deprecated.c" line="263" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__impl__deprecated_1ga8c4324c1aff322f344e5ded0bc500abb" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t cyhal_system_unregister_callback</definition>
        <argsstring>(cyhal_system_callback_t const *handler)</argsstring>
        <name>cyhal_system_unregister_callback</name>
        <param>
          <type><ref kindref="member" refid="group__group__hal__impl__hw__types_1gacd10538852e7575732463b1f552b73d4">cyhal_system_callback_t</ref> const *</type>
          <declname>callback</declname>
          <defname>handler</defname>
        </param>
        <briefdescription>
<para>Removes the registered handler from the power manager so no future notifications are made. </para>        </briefdescription>
        <detaileddescription>
<para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition warning"&gt;&lt;p class="admonition-title"&gt;warning&lt;/p&gt;&lt;p&gt;&lt;p&gt;This function is deprecated. Use &lt;a href="group__group__hal__syspm.html#group__group__hal__syspm_1gae069670790199a668edffa9ec01fd538"&gt;cyhal_syspm_unregister_callback()&lt;/a&gt; instead.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">callback</parametername>
</parameternamelist>
<parameterdescription>
<para>The callback configuration data </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the unregister_callback request </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="275" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_deprecated.c" bodystart="270" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_deprecated.c" line="270" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__impl__deprecated_1gaa8d1e4eeeb32f1c930ef98a001f8d026" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t cyhal_hwmgr_allocate_clock</definition>
        <argsstring>(cyhal_clock_divider_t *obj, cyhal_clock_divider_types_t div, bool accept_larger)</argsstring>
        <name>cyhal_hwmgr_allocate_clock</name>
        <param>
          <type><ref kindref="member" refid="group__group__hal__impl__deprecated_1gabc24b0c35368b37586582446212c1703">cyhal_clock_divider_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__impl__deprecated_1gac29456963668507ecb7ecdf15e48b9d0">cyhal_clock_divider_types_t</ref></type>
          <declname>div</declname>
        </param>
        <param>
          <type>bool</type>
          <declname>accept_larger</declname>
        </param>
        <briefdescription>
<para>Allocate (pick and reserve) an Clock Divider resource and provide a reference to it. </para>        </briefdescription>
        <detaileddescription>
<para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition warning"&gt;&lt;p class="admonition-title"&gt;warning&lt;/p&gt;&lt;p&gt;&lt;p&gt;This function is deprecated. Use &lt;a href="group__group__hal__clock.html#group__group__hal__clock_1gaa265dd236fc90f0f90b9776e16991058"&gt;cyhal_clock_allocate()&lt;/a&gt; instead.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="out">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The resource object that was allocated </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">div</parametername>
</parameternamelist>
<parameterdescription>
<para>The type of divider to allocate </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">accept_larger</parametername>
</parameternamelist>
<parameterdescription>
<para>Whether a larger type can be provided if there are none of the requested size available </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the reserve request </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="302" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_deprecated.c" bodystart="277" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_deprecated.c" line="277" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__impl__deprecated_1ga97392b4b63158e7e138f3c33e1f2b33a" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void cyhal_hwmgr_free_clock</definition>
        <argsstring>(cyhal_clock_divider_t *obj)</argsstring>
        <name>cyhal_hwmgr_free_clock</name>
        <param>
          <type><ref kindref="member" refid="group__group__hal__impl__deprecated_1gabc24b0c35368b37586582446212c1703">cyhal_clock_divider_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <briefdescription>
<para>Free the specified Clock Divider resource and allow it be used by something else. </para>        </briefdescription>
        <detaileddescription>
<para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition warning"&gt;&lt;p class="admonition-title"&gt;warning&lt;/p&gt;&lt;p&gt;&lt;p&gt;This function is deprecated. Use &lt;a href="group__group__hal__clock.html#group__group__hal__clock_1gad6fc51ca095f1810acc323d8b79a4ed4"&gt;cyhal_clock_free()&lt;/a&gt; instead.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The resource object that was allocated </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="308" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_deprecated.c" bodystart="304" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_deprecated.c" line="304" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__impl__deprecated_1ga873287b496e482c02f7d2c4ce94433e8" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t cyhal_adc_channel_init</definition>
        <argsstring>(cyhal_adc_channel_t *obj, cyhal_adc_t *adc, cyhal_gpio_t pin)</argsstring>
        <name>cyhal_adc_channel_init</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__adc__channel__t">cyhal_adc_channel_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcyhal__adc__t">cyhal_adc_t</ref> *</type>
          <declname>adc</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
          <declname>pin</declname>
        </param>
        <briefdescription>
<para>Initialize a single-ended ADC channel. </para>        </briefdescription>
        <detaileddescription>
<para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition warning"&gt;&lt;p class="admonition-title"&gt;warning&lt;/p&gt;&lt;p&gt;&lt;p&gt;This function is deprecated. Use &lt;a href="group__group__hal__adc.html#group__group__hal__adc_1gaba21a0c4d83266951823ea5d9eba39b9"&gt;cyhal_adc_channel_init_diff()&lt;/a&gt; instead with &lt;a href="group__group__hal__adc.html#group__group__hal__adc_1ga00175bb8e85fface6d74488febb0cf27"&gt;CYHAL_ADC_VNEG&lt;/a&gt; specified for the vminus argument.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;Configures the pin used by ADC. </verbatim><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="out">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The adc channel object to initialize </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">adc</parametername>
</parameternamelist>
<parameterdescription>
<para>The adc for which the channel should be initialized </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">pin</parametername>
</parameternamelist>
<parameterdescription>
<para>The adc pin name </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the init request. The status of the init request. On failure, a problem specific error code will be returned. This error could be from the HAL or lower level driver.<linebreak />
 For all other return codes, please refer to device driver documentation available in the BSP landing page </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="315" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_deprecated.c" bodystart="310" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_deprecated.c" line="310" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para><linebreak />
 Provides access to items that are device specific and no longer part of the common HAL API. </para>    </briefdescription>
    <detaileddescription>
<para><simplesect kind="copyright"><para>Copyright 2018-2019 Cypress Semiconductor Corporation SPDX-License-Identifier: Apache-2.0</para></simplesect>
Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at <verbatim>http://www.apache.org/licenses/LICENSE-2.0
</verbatim></para><para>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </para>    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/***************************************************************************/</highlight><highlight class="normal"><sp /></highlight></codeline>
<codeline lineno="26"><highlight class="preprocessor">#include<sp />"cyhal_adc.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="27"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cyhal_hwmgr.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="28"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cyhal_clock.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="29"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cyhal_deprecated.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="30"><highlight class="normal" /></codeline>
<codeline lineno="31"><highlight class="normal" /><highlight class="preprocessor">#define<sp />HZ_PER_MHZ<sp />1000000</highlight><highlight class="normal" /></codeline>
<codeline lineno="32"><highlight class="normal" /></codeline>
<codeline lineno="33"><highlight class="normal">uint32_t<sp />_cyhal_deprecated_get_src_freq(cy_en_clkpath_in_sources_t<sp />source)</highlight></codeline>
<codeline lineno="34"><highlight class="normal">{</highlight></codeline>
<codeline lineno="35"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />get<sp />the<sp />frequency<sp />of<sp />the<sp />source,<sp />i.e.,<sp />the<sp />path<sp />mux<sp />input<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="36"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">switch</highlight><highlight class="normal">(source)</highlight></codeline>
<codeline lineno="37"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="38"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">case</highlight><highlight class="normal"><sp />CY_SYSCLK_CLKPATH_IN_IMO:<sp /></highlight><highlight class="comment">/*<sp />IMO<sp />frequency<sp />is<sp />fixed<sp />at<sp />8<sp />MHz<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="39"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />CY_SYSCLK_IMO_FREQ;</highlight></codeline>
<codeline lineno="40"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">case</highlight><highlight class="normal"><sp />CY_SYSCLK_CLKPATH_IN_ILO:<sp /></highlight><highlight class="comment">/*<sp />ILO,<sp />WCO<sp />and<sp />PILO<sp />frequencies<sp />are<sp />nominally<sp />32.768<sp />kHz<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="41"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">case</highlight><highlight class="normal"><sp />CY_SYSCLK_CLKPATH_IN_WCO:</highlight></codeline>
<codeline lineno="42"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">case</highlight><highlight class="normal"><sp />CY_SYSCLK_CLKPATH_IN_PILO:</highlight></codeline>
<codeline lineno="43"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />CY_SYSCLK_ILO_FREQ;</highlight></codeline>
<codeline lineno="44"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">default</highlight><highlight class="normal">:</highlight></codeline>
<codeline lineno="45"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />0;</highlight></codeline>
<codeline lineno="46"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="47"><highlight class="normal">}</highlight></codeline>
<codeline lineno="48"><highlight class="normal" /></codeline>
<codeline lineno="49"><highlight class="normal" /><highlight class="keyword">static</highlight><highlight class="normal"><sp />uint32_t<sp />_cyhal_deprecated_get_clkpath_freq(cy_en_clkhf_in_sources_t<sp />path,<sp />uint32_t<sp />freq,<sp />uint8_t<sp />*fll_pll_used)</highlight></codeline>
<codeline lineno="50"><highlight class="normal">{</highlight></codeline>
<codeline lineno="51"><highlight class="normal"><sp /><sp /><sp /><sp />*fll_pll_used<sp />=<sp />0xff;</highlight></codeline>
<codeline lineno="52"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(path<sp />==<sp />CY_SYSCLK_CLKHF_IN_CLKPATH0)</highlight></codeline>
<codeline lineno="53"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="54"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />cy_stc_fll_manual_config_t<sp />fll_config;</highlight></codeline>
<codeline lineno="55"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />Cy_SysClk_FllGetConfiguration(&amp;fll_config);</highlight></codeline>
<codeline lineno="56"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(fll_config.outputMode<sp />!=<sp />CY_SYSCLK_FLLPLL_OUTPUT_INPUT)</highlight></codeline>
<codeline lineno="57"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="58"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />freq<sp />*=<sp />fll_config.fllMult;</highlight></codeline>
<codeline lineno="59"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />freq<sp />/=<sp />fll_config.refDiv;</highlight></codeline>
<codeline lineno="60"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />freq<sp />/=<sp />(fll_config.enableOutputDiv<sp />?<sp />2U<sp />:<sp />1U);</highlight></codeline>
<codeline lineno="61"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />*fll_pll_used<sp />=<sp />0;</highlight></codeline>
<codeline lineno="62"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="63"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="64"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">else</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">((uint32_t)path<sp />&lt;=<sp />CY_SRSS_NUM_PLL)</highlight></codeline>
<codeline lineno="65"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="66"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />cy_stc_pll_manual_config_t<sp />pll_config;</highlight></codeline>
<codeline lineno="67"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />Cy_SysClk_PllGetConfiguration(path,<sp />&amp;pll_config);</highlight></codeline>
<codeline lineno="68"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(pll_config.outputMode<sp />!=<sp />CY_SYSCLK_FLLPLL_OUTPUT_INPUT)</highlight></codeline>
<codeline lineno="69"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="70"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />freq<sp />*=<sp />pll_config.feedbackDiv;</highlight></codeline>
<codeline lineno="71"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />freq<sp />/=<sp />pll_config.referenceDiv;</highlight></codeline>
<codeline lineno="72"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />freq<sp />/=<sp />pll_config.outputDiv;</highlight></codeline>
<codeline lineno="73"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />*fll_pll_used<sp />=<sp />(uint8_t)path;</highlight></codeline>
<codeline lineno="74"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="75"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="76"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />freq;</highlight></codeline>
<codeline lineno="77"><highlight class="normal">}</highlight></codeline>
<codeline lineno="78"><highlight class="normal" /></codeline>
<codeline lineno="79"><highlight class="normal" /><highlight class="keyword">static</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp />_cyhal_deprecated_try_set_hf_divider(uint8_t<sp />hf_clock,<sp />uint32_t<sp />input_freq,<sp />uint32_t<sp />target_freq)</highlight></codeline>
<codeline lineno="80"><highlight class="normal">{</highlight></codeline>
<codeline lineno="81"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />divider_found<sp />=<sp /></highlight><highlight class="keyword">false</highlight><highlight class="normal">;</highlight></codeline>
<codeline lineno="82"><highlight class="normal"><sp /><sp /><sp /><sp />cy_en_clkhf_dividers_t<sp />divider;</highlight></codeline>
<codeline lineno="83"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(target_freq<sp />==<sp />input_freq)</highlight></codeline>
<codeline lineno="84"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="85"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />divider_found<sp />=<sp /></highlight><highlight class="keyword">true</highlight><highlight class="normal">;</highlight></codeline>
<codeline lineno="86"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />divider<sp />=<sp />CY_SYSCLK_CLKHF_NO_DIVIDE;</highlight></codeline>
<codeline lineno="87"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="88"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">else</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(target_freq<sp />*<sp />2<sp />==<sp />input_freq)</highlight></codeline>
<codeline lineno="89"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="90"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />divider_found<sp />=<sp /></highlight><highlight class="keyword">true</highlight><highlight class="normal">;</highlight></codeline>
<codeline lineno="91"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />divider<sp />=<sp />CY_SYSCLK_CLKHF_DIVIDE_BY_2;</highlight></codeline>
<codeline lineno="92"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="93"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">else</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(target_freq<sp />*<sp />4<sp />==<sp />input_freq)</highlight></codeline>
<codeline lineno="94"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="95"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />divider_found<sp />=<sp /></highlight><highlight class="keyword">true</highlight><highlight class="normal">;</highlight></codeline>
<codeline lineno="96"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />divider<sp />=<sp />CY_SYSCLK_CLKHF_DIVIDE_BY_4;</highlight></codeline>
<codeline lineno="97"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="98"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">else</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(target_freq<sp />*<sp />8<sp />==<sp />input_freq)</highlight></codeline>
<codeline lineno="99"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="100"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />divider_found<sp />=<sp /></highlight><highlight class="keyword">true</highlight><highlight class="normal">;</highlight></codeline>
<codeline lineno="101"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />divider<sp />=<sp />CY_SYSCLK_CLKHF_DIVIDE_BY_8;</highlight></codeline>
<codeline lineno="102"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="103"><highlight class="normal" /></codeline>
<codeline lineno="104"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(divider_found)</highlight></codeline>
<codeline lineno="105"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="106"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />Cy_SysClk_ClkHfSetDivider(hf_clock,<sp />divider);</highlight></codeline>
<codeline lineno="107"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />Cy_SysClk_ClkHfEnable(hf_clock);</highlight></codeline>
<codeline lineno="108"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__result_1gaf58fac450d9fff4472f03ad68f6e546e">CY_RSLT_SUCCESS</ref>;</highlight></codeline>
<codeline lineno="109"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="110"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">else</highlight><highlight class="normal" /></codeline>
<codeline lineno="111"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="112"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__impl__deprecated_1ga6e37f8ebd56cc0411a2f8324808c3b96">CYHAL_SYSTEM_RSLT_NO_VALID_DIVIDER</ref>;</highlight></codeline>
<codeline lineno="113"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="114"><highlight class="normal">}</highlight></codeline>
<codeline lineno="115"><highlight class="normal" /></codeline>
<codeline lineno="116"><highlight class="normal" /><highlight class="keyword">static</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp />_cyhal_deprecated_try_set_fll(uint8_t<sp />hf_clock,<sp />uint32_t<sp />target_freq)</highlight></codeline>
<codeline lineno="117"><highlight class="normal">{</highlight></codeline>
<codeline lineno="118"><highlight class="normal"><sp /><sp /><sp /><sp />Cy_SysClk_FllDisable();</highlight></codeline>
<codeline lineno="119"><highlight class="normal"><sp /><sp /><sp /><sp />Cy_SysClk_ClkHfSetSource(hf_clock,<sp />CY_SYSCLK_CLKHF_IN_CLKPATH0);</highlight></codeline>
<codeline lineno="120"><highlight class="normal"><sp /><sp /><sp /><sp />Cy_SysClk_ClkPathSetSource(0,<sp />CY_SYSCLK_CLKPATH_IN_IMO);</highlight></codeline>
<codeline lineno="121"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp />rslt<sp />=<sp />Cy_SysClk_FllConfigure(CY_SYSCLK_IMO_FREQ,<sp />target_freq,<sp />CY_SYSCLK_FLLPLL_OUTPUT_AUTO);</highlight></codeline>
<codeline lineno="122"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(rslt<sp />==<sp /><ref kindref="member" refid="group__group__result_1gaf58fac450d9fff4472f03ad68f6e546e">CY_RSLT_SUCCESS</ref>)</highlight></codeline>
<codeline lineno="123"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="124"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">//<sp />Wait<sp />up<sp />to<sp />1<sp />seconds<sp />for<sp />FLL<sp />to<sp />lock</highlight><highlight class="normal" /></codeline>
<codeline lineno="125"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />rslt<sp />=<sp />Cy_SysClk_FllEnable(1000000);</highlight></codeline>
<codeline lineno="126"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="127"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(rslt<sp />==<sp /><ref kindref="member" refid="group__group__result_1gaf58fac450d9fff4472f03ad68f6e546e">CY_RSLT_SUCCESS</ref>)</highlight></codeline>
<codeline lineno="128"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="129"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />Cy_SysClk_ClkHfSetDivider(hf_clock,<sp />CY_SYSCLK_CLKHF_NO_DIVIDE);</highlight></codeline>
<codeline lineno="130"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />SystemCoreClockUpdate();</highlight></codeline>
<codeline lineno="131"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="132"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />rslt;</highlight></codeline>
<codeline lineno="133"><highlight class="normal">}</highlight></codeline>
<codeline lineno="134"><highlight class="normal" /></codeline>
<codeline lineno="135"><highlight class="normal" /><highlight class="keyword">static</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp />_cyhal_deprecated_try_set_pll(uint8_t<sp />hf_clock,<sp />uint8_t<sp />pll,<sp />uint32_t<sp />target_freq)</highlight></codeline>
<codeline lineno="136"><highlight class="normal">{</highlight></codeline>
<codeline lineno="137"><highlight class="normal"><sp /><sp /><sp /><sp />Cy_SysClk_PllDisable(pll);</highlight></codeline>
<codeline lineno="138"><highlight class="normal"><sp /><sp /><sp /><sp />Cy_SysClk_ClkHfSetSource(hf_clock,<sp />(cy_en_clkhf_in_sources_t)(pll));</highlight></codeline>
<codeline lineno="139"><highlight class="normal" /></codeline>
<codeline lineno="140"><highlight class="normal"><sp /><sp /><sp /><sp />cy_stc_pll_config_t<sp />cfg;</highlight></codeline>
<codeline lineno="141"><highlight class="normal"><sp /><sp /><sp /><sp />cfg.inputFreq<sp />=<sp />CY_SYSCLK_IMO_FREQ;</highlight></codeline>
<codeline lineno="142"><highlight class="normal"><sp /><sp /><sp /><sp />cfg.outputFreq<sp />=<sp />target_freq;</highlight></codeline>
<codeline lineno="143"><highlight class="normal"><sp /><sp /><sp /><sp />cfg.lfMode<sp />=<sp /></highlight><highlight class="keyword">false</highlight><highlight class="normal">;</highlight></codeline>
<codeline lineno="144"><highlight class="normal"><sp /><sp /><sp /><sp />cfg.outputMode<sp />=<sp />CY_SYSCLK_FLLPLL_OUTPUT_AUTO;</highlight></codeline>
<codeline lineno="145"><highlight class="normal" /></codeline>
<codeline lineno="146"><highlight class="normal"><sp /><sp /><sp /><sp />Cy_SysClk_ClkPathSetSource(pll,<sp />CY_SYSCLK_CLKPATH_IN_IMO);</highlight></codeline>
<codeline lineno="147"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp />rslt<sp />=<sp />Cy_SysClk_PllConfigure(pll,<sp />&amp;cfg);</highlight></codeline>
<codeline lineno="148"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(rslt<sp />==<sp /><ref kindref="member" refid="group__group__result_1gaf58fac450d9fff4472f03ad68f6e546e">CY_RSLT_SUCCESS</ref>)</highlight></codeline>
<codeline lineno="149"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="150"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">//<sp />Wait<sp />up<sp />to<sp />1<sp />seconds<sp />for<sp />PLL<sp />to<sp />lock</highlight><highlight class="normal" /></codeline>
<codeline lineno="151"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />rslt<sp />=<sp />Cy_SysClk_PllEnable(pll,<sp />1000000);</highlight></codeline>
<codeline lineno="152"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="153"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(rslt<sp />==<sp /><ref kindref="member" refid="group__group__result_1gaf58fac450d9fff4472f03ad68f6e546e">CY_RSLT_SUCCESS</ref>)</highlight></codeline>
<codeline lineno="154"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="155"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />Cy_SysClk_ClkHfSetDivider(hf_clock,<sp />CY_SYSCLK_CLKHF_NO_DIVIDE);</highlight></codeline>
<codeline lineno="156"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />SystemCoreClockUpdate();</highlight></codeline>
<codeline lineno="157"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="158"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />rslt;</highlight></codeline>
<codeline lineno="159"><highlight class="normal">}</highlight></codeline>
<codeline lineno="160"><highlight class="normal" /></codeline>
<codeline lineno="161"><highlight class="normal"><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp /><ref kindref="member" refid="group__group__hal__impl__deprecated_1ga6f078fee06227f94d2f7d64d2cb46e28">cyhal_system_clock_get_frequency</ref>(uint8_t<sp />hf_clock,<sp />uint32_t<sp />*frequency_hz)</highlight></codeline>
<codeline lineno="162"><highlight class="normal">{</highlight></codeline>
<codeline lineno="163"><highlight class="normal"><sp /><sp /><sp /><sp />*frequency_hz<sp />=<sp />Cy_SysClk_ClkHfGetFrequency(hf_clock);</highlight></codeline>
<codeline lineno="164"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__result_1gaf58fac450d9fff4472f03ad68f6e546e">CY_RSLT_SUCCESS</ref>;</highlight></codeline>
<codeline lineno="165"><highlight class="normal">}</highlight></codeline>
<codeline lineno="166"><highlight class="normal" /></codeline>
<codeline lineno="167"><highlight class="normal"><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp /><ref kindref="member" refid="group__group__hal__impl__deprecated_1ga1a9bfe9181304994df9a09f05f6eccff">cyhal_system_clock_set_frequency</ref>(uint8_t<sp />hf_clock,<sp />uint32_t<sp />frequency_hz)</highlight></codeline>
<codeline lineno="168"><highlight class="normal">{</highlight></codeline>
<codeline lineno="169"><highlight class="normal"><sp /><sp /><sp /><sp />cy_en_clkhf_in_sources_t<sp />path<sp />=<sp />Cy_SysClk_ClkHfGetSource((uint32_t)hf_clock);</highlight></codeline>
<codeline lineno="170"><highlight class="normal"><sp /><sp /><sp /><sp />cy_en_clkpath_in_sources_t<sp />source<sp />=<sp />Cy_SysClk_ClkPathGetSource((uint32_t)path);</highlight></codeline>
<codeline lineno="171"><highlight class="normal" /></codeline>
<codeline lineno="172"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />src_freq<sp />=<sp />_cyhal_deprecated_get_src_freq(source);</highlight></codeline>
<codeline lineno="173"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(src_freq<sp />==<sp />0)</highlight></codeline>
<codeline lineno="174"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="175"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__impl__deprecated_1ga0c53c58cb970977ab1d89eef9e3271bf">CYHAL_SYSTEM_RSLT_SRC_CLK_DISABLED</ref>;</highlight></codeline>
<codeline lineno="176"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="177"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />fll_pll_used;</highlight></codeline>
<codeline lineno="178"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />clkpath_freq<sp />=<sp />_cyhal_deprecated_get_clkpath_freq(path,<sp />src_freq,<sp />&amp;fll_pll_used);</highlight></codeline>
<codeline lineno="179"><highlight class="normal" /></codeline>
<codeline lineno="180"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp />rslt<sp />=<sp />_cyhal_deprecated_try_set_hf_divider(hf_clock,<sp />clkpath_freq,<sp />frequency_hz);</highlight></codeline>
<codeline lineno="181"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(rslt<sp />==<sp /><ref kindref="member" refid="group__group__result_1gaf58fac450d9fff4472f03ad68f6e546e">CY_RSLT_SUCCESS</ref>)</highlight></codeline>
<codeline lineno="182"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="183"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />SystemCoreClockUpdate();</highlight></codeline>
<codeline lineno="184"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />rslt;</highlight></codeline>
<codeline lineno="185"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="186"><highlight class="normal" /></codeline>
<codeline lineno="187"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />enabled<sp />=<sp />Cy_SysClk_ClkHfIsEnabled(hf_clock);</highlight></codeline>
<codeline lineno="188"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(enabled<sp />&amp;&amp;<sp />fll_pll_used<sp />==<sp />0)</highlight></codeline>
<codeline lineno="189"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="190"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />_cyhal_deprecated_try_set_fll(hf_clock,<sp />frequency_hz);</highlight></codeline>
<codeline lineno="191"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="192"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">else</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(enabled<sp />&amp;&amp;<sp />fll_pll_used<sp />&lt;=<sp />SRSS_NUM_PLL)</highlight></codeline>
<codeline lineno="193"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="194"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />_cyhal_deprecated_try_set_pll(hf_clock,<sp />fll_pll_used,<sp />frequency_hz);</highlight></codeline>
<codeline lineno="195"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="196"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">else</highlight><highlight class="normal" /></codeline>
<codeline lineno="197"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="198"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">//<sp />Cannot<sp />get<sp />the<sp />correct<sp />frequency.<sp />Try<sp />to<sp />allocate<sp />an<sp />FLL<sp />or<sp />PLL</highlight><highlight class="normal" /></codeline>
<codeline lineno="199"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcyhal__clock__t">cyhal_clock_t</ref><sp />inst;</highlight></codeline>
<codeline lineno="200"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />rslt<sp />=<sp /><ref kindref="member" refid="group__group__hal__clock_1gaa265dd236fc90f0f90b9776e16991058">cyhal_clock_allocate</ref>(&amp;inst,<sp /><ref kindref="member" refid="group__group__hal__impl__hw__types_1gga1968e793be1599de10dec9e2d48f66d6a63443ebb72d1f623ec03192bd61ae6a3">CYHAL_CLOCK_BLOCK_PATHMUX</ref>);</highlight></codeline>
<codeline lineno="201"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(rslt<sp />==<sp /><ref kindref="member" refid="group__group__result_1gaf58fac450d9fff4472f03ad68f6e546e">CY_RSLT_SUCCESS</ref>)</highlight></codeline>
<codeline lineno="202"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="203"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(inst.channel<sp />&lt;<sp />1)</highlight></codeline>
<codeline lineno="204"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="205"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />rslt<sp />=<sp />_cyhal_deprecated_try_set_fll(hf_clock,<sp />frequency_hz);</highlight></codeline>
<codeline lineno="206"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="207"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">else</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(inst.channel<sp />&lt;=<sp />SRSS_NUM_PLL)</highlight></codeline>
<codeline lineno="208"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="209"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />rslt<sp />=<sp />_cyhal_deprecated_try_set_pll(hf_clock,<sp />inst.channel,<sp />frequency_hz);</highlight></codeline>
<codeline lineno="210"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="211"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">else</highlight><highlight class="normal" /></codeline>
<codeline lineno="212"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="213"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">//<sp />No<sp />FLL<sp />or<sp />PLL<sp />available.</highlight><highlight class="normal" /></codeline>
<codeline lineno="214"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />rslt<sp />=<sp /><ref kindref="member" refid="group__group__hal__impl__deprecated_1ga5e130c0bfba7b9494a9ca909bb3c86aa">CYHAL_SYSTEM_RSLT_UNABLE_TO_SET_CLK_FREQ</ref>;</highlight></codeline>
<codeline lineno="215"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="216"><highlight class="normal" /></codeline>
<codeline lineno="217"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(!enabled<sp />&amp;&amp;<sp />rslt<sp />==<sp /><ref kindref="member" refid="group__group__result_1gaf58fac450d9fff4472f03ad68f6e546e">CY_RSLT_SUCCESS</ref>)</highlight></codeline>
<codeline lineno="218"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="219"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />rslt<sp />=<sp />Cy_SysClk_ClkHfEnable(hf_clock);</highlight></codeline>
<codeline lineno="220"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="221"><highlight class="normal" /></codeline>
<codeline lineno="222"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(rslt<sp />!=<sp /><ref kindref="member" refid="group__group__result_1gaf58fac450d9fff4472f03ad68f6e546e">CY_RSLT_SUCCESS</ref>)</highlight></codeline>
<codeline lineno="223"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="224"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__clock_1gad6fc51ca095f1810acc323d8b79a4ed4">cyhal_clock_free</ref>(&amp;inst);</highlight></codeline>
<codeline lineno="225"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="226"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="227"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="228"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />rslt;</highlight></codeline>
<codeline lineno="229"><highlight class="normal">}</highlight></codeline>
<codeline lineno="230"><highlight class="normal" /></codeline>
<codeline lineno="231"><highlight class="normal"><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp /><ref kindref="member" refid="group__group__hal__impl__deprecated_1gabb6b926453c599ee24d4dc477d937b61">cyhal_system_clock_set_divider</ref>(<ref kindref="member" refid="group__group__hal__impl__deprecated_1ga996e3eaa0953a18334a13c2c47bc2abb">cyhal_system_clock_t</ref><sp />clock,<sp /><ref kindref="member" refid="group__group__hal__impl__deprecated_1gae934ba770f2233f792a7de704bf1f59f">cyhal_system_divider_t</ref><sp />divider)</highlight></codeline>
<codeline lineno="232"><highlight class="normal">{</highlight></codeline>
<codeline lineno="233"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(divider<sp />&lt;<sp />1<sp />||<sp />divider<sp />&gt;<sp />0x100)</highlight></codeline>
<codeline lineno="234"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="235"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__impl__deprecated_1gaf11cd62375183127941ed3779b0e619b">CYHAL_SYSTEM_RSLT_INVALID_CLK_DIVIDER</ref>;</highlight></codeline>
<codeline lineno="236"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="237"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">switch</highlight><highlight class="normal">(clock)</highlight></codeline>
<codeline lineno="238"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="239"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">case</highlight><highlight class="normal"><sp />CYHAL_SYSTEM_CLOCK_CM4:</highlight></codeline>
<codeline lineno="240"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="241"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />Cy_SysClk_ClkFastSetDivider((uint8_t)(divider<sp />-<sp />1));</highlight></codeline>
<codeline lineno="242"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">break</highlight><highlight class="normal">;</highlight></codeline>
<codeline lineno="243"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="244"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">case</highlight><highlight class="normal"><sp />CYHAL_SYSTEM_CLOCK_CM0:</highlight></codeline>
<codeline lineno="245"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="246"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />Cy_SysClk_ClkSlowSetDivider((uint8_t)(divider<sp />-<sp />1));</highlight></codeline>
<codeline lineno="247"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">break</highlight><highlight class="normal">;</highlight></codeline>
<codeline lineno="248"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="249"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">case</highlight><highlight class="normal"><sp />CYHAL_SYSTEM_CLOCK_PERI:</highlight></codeline>
<codeline lineno="250"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="251"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />Cy_SysClk_ClkPeriSetDivider((uint8_t)(divider<sp />-<sp />1));</highlight></codeline>
<codeline lineno="252"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">break</highlight><highlight class="normal">;</highlight></codeline>
<codeline lineno="253"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="254"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">default</highlight><highlight class="normal">:</highlight></codeline>
<codeline lineno="255"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="256"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__impl__deprecated_1gaf11cd62375183127941ed3779b0e619b">CYHAL_SYSTEM_RSLT_INVALID_CLK_DIVIDER</ref>;</highlight></codeline>
<codeline lineno="257"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="258"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="259"><highlight class="normal"><sp /><sp /><sp /><sp />SystemCoreClockUpdate();</highlight></codeline>
<codeline lineno="260"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__result_1gaf58fac450d9fff4472f03ad68f6e546e">CY_RSLT_SUCCESS</ref>;</highlight></codeline>
<codeline lineno="261"><highlight class="normal">}</highlight></codeline>
<codeline lineno="262"><highlight class="normal" /></codeline>
<codeline lineno="263"><highlight class="normal"><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp /><ref kindref="member" refid="group__group__hal__impl__deprecated_1gaf3e0a8b4574984aa38b76429c2252aae">cyhal_system_register_callback</ref>(<ref kindref="member" refid="group__group__hal__impl__hw__types_1gacd10538852e7575732463b1f552b73d4">cyhal_system_callback_t</ref><sp />*handler)</highlight></codeline>
<codeline lineno="264"><highlight class="normal">{</highlight></codeline>
<codeline lineno="265"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />Cy_SysPm_RegisterCallback(handler)</highlight></codeline>
<codeline lineno="266"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />?<sp /><ref kindref="member" refid="group__group__result_1gaf58fac450d9fff4472f03ad68f6e546e">CY_RSLT_SUCCESS</ref></highlight></codeline>
<codeline lineno="267"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />:<sp /><ref kindref="member" refid="group__group__hal__impl__deprecated_1ga323c42e1b854f7f32df2b9560cc263a3">CYHAL_SYSTEM_RSLT_ERROR</ref>;</highlight></codeline>
<codeline lineno="268"><highlight class="normal">}</highlight></codeline>
<codeline lineno="269"><highlight class="normal" /></codeline>
<codeline lineno="270"><highlight class="normal"><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp /><ref kindref="member" refid="group__group__hal__impl__deprecated_1ga8c4324c1aff322f344e5ded0bc500abb">cyhal_system_unregister_callback</ref>(<ref kindref="member" refid="group__group__hal__impl__hw__types_1gacd10538852e7575732463b1f552b73d4">cyhal_system_callback_t</ref><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp />*handler)</highlight></codeline>
<codeline lineno="271"><highlight class="normal">{</highlight></codeline>
<codeline lineno="272"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />Cy_SysPm_UnregisterCallback(handler)</highlight></codeline>
<codeline lineno="273"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />?<sp /><ref kindref="member" refid="group__group__result_1gaf58fac450d9fff4472f03ad68f6e546e">CY_RSLT_SUCCESS</ref></highlight></codeline>
<codeline lineno="274"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />:<sp /><ref kindref="member" refid="group__group__hal__impl__deprecated_1ga323c42e1b854f7f32df2b9560cc263a3">CYHAL_SYSTEM_RSLT_ERROR</ref>;</highlight></codeline>
<codeline lineno="275"><highlight class="normal">}</highlight></codeline>
<codeline lineno="276"><highlight class="normal" /></codeline>
<codeline lineno="277"><highlight class="normal"><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp /><ref kindref="member" refid="group__group__hal__impl__deprecated_1gaa8d1e4eeeb32f1c930ef98a001f8d026">cyhal_hwmgr_allocate_clock</ref>(<ref kindref="compound" refid="structcyhal__clock__t">cyhal_clock_divider_t</ref>*<sp />obj,<sp /><ref kindref="member" refid="group__group__hal__impl__deprecated_1gac29456963668507ecb7ecdf15e48b9d0">cyhal_clock_divider_types_t</ref><sp />div,<sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />accept_larger)</highlight></codeline>
<codeline lineno="278"><highlight class="normal">{</highlight></codeline>
<codeline lineno="279"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">static</highlight><highlight class="normal"><sp />uint8_t<sp />counts[]<sp />=<sp />{<sp />PERI_DIV_8_NR,<sp />PERI_DIV_16_NR,<sp />PERI_DIV_16_5_NR,<sp />PERI_DIV_24_5_NR<sp />};</highlight></codeline>
<codeline lineno="280"><highlight class="normal" /></codeline>
<codeline lineno="281"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__impl__deprecated_1gac29456963668507ecb7ecdf15e48b9d0">cyhal_clock_divider_types_t</ref><sp />max_div_type<sp />=<sp />(accept_larger)<sp />?<sp />(<ref kindref="member" refid="group__group__hal__impl__deprecated_1gac29456963668507ecb7ecdf15e48b9d0">cyhal_clock_divider_types_t</ref>)(</highlight><highlight class="keyword">sizeof</highlight><highlight class="normal">(counts)<sp />-<sp />1)<sp />:<sp />div;</highlight></codeline>
<codeline lineno="282"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp />rslt<sp />=<sp /><ref kindref="member" refid="group__group__hal__results__hwmgr_1gaf992c3f39501527bd0ae5ef0599af73e">CYHAL_HWMGR_RSLT_ERR_NONE_FREE</ref>;</highlight></codeline>
<codeline lineno="283"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">for</highlight><highlight class="normal">(<ref kindref="member" refid="group__group__hal__impl__deprecated_1gac29456963668507ecb7ecdf15e48b9d0">cyhal_clock_divider_types_t</ref><sp />current_div<sp />=<sp />div;<sp />rslt<sp />!=<sp /><ref kindref="member" refid="group__group__result_1gaf58fac450d9fff4472f03ad68f6e546e">CY_RSLT_SUCCESS</ref><sp />&amp;&amp;<sp />current_div<sp />&lt;=<sp />max_div_type;<sp />++current_div)</highlight></codeline>
<codeline lineno="284"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="285"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint8_t<sp />block<sp />=<sp />(uint8_t)current_div;</highlight></codeline>
<codeline lineno="286"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint8_t<sp />count<sp />=<sp />counts[block];</highlight></codeline>
<codeline lineno="287"><highlight class="normal" /></codeline>
<codeline lineno="288"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">for</highlight><highlight class="normal"><sp />(uint8_t<sp />i<sp />=<sp />0;<sp />rslt<sp />!=<sp /><ref kindref="member" refid="group__group__result_1gaf58fac450d9fff4472f03ad68f6e546e">CY_RSLT_SUCCESS</ref><sp />&amp;&amp;<sp />i<sp />&lt;<sp />count;<sp />i++)</highlight></codeline>
<codeline lineno="289"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="290"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcyhal__resource__inst__t">cyhal_resource_inst_t</ref><sp />res<sp />=<sp />{<sp /><ref kindref="member" refid="group__group__hal__impl__hw__types_1gga63b023ea7b5e73db59ddc0423c77975ba87c497b200dfbc0c5daf9617a89f4aa7">CYHAL_RSC_CLOCK</ref>,<sp />block,<sp />i<sp />};</highlight></codeline>
<codeline lineno="291"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />reserved<sp />=<sp />(<ref kindref="member" refid="group__group__result_1gaf58fac450d9fff4472f03ad68f6e546e">CY_RSLT_SUCCESS</ref><sp />==<sp /><ref kindref="member" refid="group__group__hal__hwmgr_1ga33e7c9bb9beaedeb87825dadf604a0b9">cyhal_hwmgr_reserve</ref>(&amp;res));</highlight></codeline>
<codeline lineno="292"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(reserved)</highlight></codeline>
<codeline lineno="293"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="294"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />obj-&gt;<ref kindref="member" refid="structcyhal__clock__t_1a12a2c8d12099bb43979094e9336ffec6">div_type</ref><sp />=<sp />current_div;</highlight></codeline>
<codeline lineno="295"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />obj-&gt;<ref kindref="member" refid="structcyhal__clock__t_1a621dd72458c30e3386ca3a60c5646a96">div_num</ref><sp />=<sp />i;</highlight></codeline>
<codeline lineno="296"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />rslt<sp />=<sp /><ref kindref="member" refid="group__group__result_1gaf58fac450d9fff4472f03ad68f6e546e">CY_RSLT_SUCCESS</ref>;</highlight></codeline>
<codeline lineno="297"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="298"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="299"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="300"><highlight class="normal" /></codeline>
<codeline lineno="301"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />rslt;</highlight></codeline>
<codeline lineno="302"><highlight class="normal">}</highlight></codeline>
<codeline lineno="303"><highlight class="normal" /></codeline>
<codeline lineno="304"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__impl__deprecated_1ga97392b4b63158e7e138f3c33e1f2b33a">cyhal_hwmgr_free_clock</ref>(<ref kindref="compound" refid="structcyhal__clock__t">cyhal_clock_divider_t</ref>*<sp />obj)</highlight></codeline>
<codeline lineno="305"><highlight class="normal">{</highlight></codeline>
<codeline lineno="306"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcyhal__resource__inst__t">cyhal_resource_inst_t</ref><sp />res<sp />=<sp />{<sp /><ref kindref="member" refid="group__group__hal__impl__hw__types_1gga63b023ea7b5e73db59ddc0423c77975ba87c497b200dfbc0c5daf9617a89f4aa7">CYHAL_RSC_CLOCK</ref>,<sp />obj-&gt;<ref kindref="member" refid="structcyhal__clock__t_1a12a2c8d12099bb43979094e9336ffec6">div_type</ref>,<sp />obj-&gt;<ref kindref="member" refid="structcyhal__clock__t_1a621dd72458c30e3386ca3a60c5646a96">div_num</ref><sp />};</highlight></codeline>
<codeline lineno="307"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__hwmgr_1gaa1979bd596d90251c7b861a7e94b884f">cyhal_hwmgr_free</ref>(&amp;res);</highlight></codeline>
<codeline lineno="308"><highlight class="normal">}</highlight></codeline>
<codeline lineno="309"><highlight class="normal" /></codeline>
<codeline lineno="310"><highlight class="normal"><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp /><ref kindref="member" refid="group__group__hal__impl__deprecated_1ga873287b496e482c02f7d2c4ce94433e8">cyhal_adc_channel_init</ref>(<ref kindref="compound" refid="structcyhal__adc__channel__t">cyhal_adc_channel_t</ref><sp />*obj,<sp /><ref kindref="compound" refid="structcyhal__adc__t">cyhal_adc_t</ref>*<sp />adc,<sp /><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref><sp />pin)</highlight></codeline>
<codeline lineno="311"><highlight class="normal">{</highlight></codeline>
<codeline lineno="312"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcyhal__adc__channel__config__t">cyhal_adc_channel_config_t</ref><sp />DEFAULT_CHAN_CONFIG<sp />=<sp />{<sp />.<ref kindref="member" refid="structcyhal__adc__channel__config__t_1ac2dae19e04515fbcb59cd43ce2e55a72">enable_averaging</ref><sp />=<sp /></highlight><highlight class="keyword">false</highlight><highlight class="normal">,<sp />.min_acquisition_ns<sp />=<sp />10u,<sp />.enabled<sp />=<sp /></highlight><highlight class="keyword">true</highlight><highlight class="normal">};</highlight></codeline>
<codeline lineno="313"><highlight class="normal" /></codeline>
<codeline lineno="314"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__adc_1gaba21a0c4d83266951823ea5d9eba39b9">cyhal_adc_channel_init_diff</ref>(obj,<sp />adc,<sp />pin,<sp /><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1gga707195ce0627016bf371643bdd9caa51a3dbd1016ea99d087d747530418b89a01">NC</ref>,<sp />&amp;DEFAULT_CHAN_CONFIG);</highlight></codeline>
<codeline lineno="315"><highlight class="normal">}</highlight></codeline>
<codeline lineno="316"><highlight class="normal" /></codeline>
    </programlisting>
    <location file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_deprecated.c" />
  </compounddef>
</doxygen>